import { EventEmitter, OnInit } from "@angular/core";
import { AddressDto, AxiosApiClient, TodoDto, TodoTemplateDto } from "@smallstack/axios-api-client";
import { TranslationHelper } from "@smallstack/common-components";
import { NotificationService } from "@smallstack/i18n-components";
import { UserService } from "@smallstack/user-components";
import { MyTodoStore } from "../../stores/my-todo.store";
import { MyWorklogStore } from "../../stores/my-worklog.store";
import { TodoStore } from "../../stores/todo.store";
import * as i0 from "@angular/core";
export declare class TodoTemplateListEntryComponent implements OnInit {
    #private;
    private axiosApiClient;
    private notificationService;
    private translationHelper;
    private myWorklogStore;
    private userService;
    private todoStore;
    private myTodoStore;
    todoTemplate: TodoTemplateDto;
    /** If you already have a time in mind and don't want to show the selection */
    fixedTime: number;
    protected existingTodos: TodoDto[];
    protected showPopoutLink: boolean;
    protected readonly createdTodo: EventEmitter<TodoDto>;
    protected showAlways: boolean;
    protected nextDates: number[];
    constructor(axiosApiClient: AxiosApiClient, notificationService: NotificationService, translationHelper: TranslationHelper, myWorklogStore: MyWorklogStore, userService: UserService, todoStore: TodoStore, myTodoStore: MyTodoStore);
    ngOnInit(): void;
    openGoogleMaps(address: AddressDto): void;
    createTodo(startTime?: number): () => Promise<void>;
    private updateDates;
    private createOrStopWorklog;
    static ɵfac: i0.ɵɵFactoryDeclaration<TodoTemplateListEntryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TodoTemplateListEntryComponent, "smallstack-todo-template-list-entry", never, { "todoTemplate": { "alias": "todoTemplate"; "required": false; }; "fixedTime": { "alias": "fixedTime"; "required": false; }; "showPopoutLink": { "alias": "showPopoutLink"; "required": false; }; }, { "createdTodo": "createdTodo"; }, never, never, true, never>;
}
