import { AxiosApiClient, InvoiceDto } from "@smallstack/axios-api-client";
import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { PageableCrudStore } from "@smallstack/store";
import * as i0 from "@angular/core";
export declare class InvoiceStore extends PageableCrudStore<InvoiceDto> {
    private axiosApiClient;
    constructor(axiosApiClient: AxiosApiClient);
    protected loadModels(query: ApiQueryRequest): Promise<Page<InvoiceDto>>;
    protected loadModelById(id: string): Promise<InvoiceDto>;
    protected deleteModelById(id: string): Promise<void>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected createModel(invoice: InvoiceDto): Promise<InvoiceDto>;
    protected patchModel(id: string, invoice: Partial<InvoiceDto>): Promise<InvoiceDto>;
    protected putModel(invoice: InvoiceDto): Promise<InvoiceDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<InvoiceStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<InvoiceStore>;
}
