import { AxiosApiClient, WorklogDto } from "@smallstack/axios-api-client";
import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { PageableCrudStore } from "@smallstack/store";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class MyWorklogStore extends PageableCrudStore<WorklogDto> {
    private axiosApiClient;
    constructor(axiosApiClient: AxiosApiClient);
    hasStartedWorklog$(todoId: string): Observable<boolean>;
    stopWorklog(id: string): Promise<void>;
    stopWorklogsForTodo(id: string): Promise<void>;
    stopAllWorklogs(): Promise<void>;
    protected loadModels(query: ApiQueryRequest): Promise<Page<WorklogDto>>;
    protected loadModelById(id: string): Promise<WorklogDto>;
    protected deleteModelById(id: string): Promise<void>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected createModel(worklog: WorklogDto): Promise<WorklogDto>;
    protected patchModel(id: string, worklog: Partial<WorklogDto>): Promise<WorklogDto>;
    protected putModel(worklog: WorklogDto): Promise<WorklogDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MyWorklogStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MyWorklogStore>;
}
